Index: console/src/resources/webconsole.war/MdbEjb.jsp
===================================================================
--- console/src/resources/webconsole.war/MdbEjb.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/MdbEjb.jsp	(working copy)
@@ -4,6 +4,7 @@
 	 import="java.util.Iterator"
 	 import="org.jboss.invocation.InvocationStatistics"
 	 import="org.jboss.invocation.InvocationStatistics.*" %>
+<%@page import="org.jboss.console.I18n"%>
 
 <%@ taglib uri="/webconsole" prefix="jb" %>
 <jb:mbean id="ejb" intf="org.jboss.management.j2ee.MessageDrivenBeanMBean" />
@@ -44,22 +45,22 @@
    String start = new java.util.Date(stat.getStartTime ()).toString ();
    String lastSample = new java.util.Date(stat.getLastSampleTime ()).toString ();
 	
-   String result = "<tr><td width=\"25%\"><font size=\"1\">" + stat.getName() + " (unit: " + stat.getUnit () + ")</font></td>" +
-                   "<td width=\"25%\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\"><tr>";
+	String result = "<tr><td width=\"25%\"><font size=\"1\">" + stat.getName() + " ("+I18n.gettext("unit: ") + stat.getUnit () + ")</font></td>" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+                   "<td width=\"25%\"><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" style=\"border-collapse: collapse\" bordercolor=\"#111111\" width=\"100%\"><tr>"; //$NON-NLS-1$
 	                
    if (stat instanceof javax.management.j2ee.statistics.CountStatistic)
    {
-      result += "<td width=\"33%\" align=\"center\"><font size=\"1\">" + ((javax.management.j2ee.statistics.CountStatistic)stat).getCount() + "</font></td><td width=\"33%\"></td><td width=\"34%\"></td>";
+      result += "<td width=\"33%\" align=\"center\"><font size=\"1\">" + ((javax.management.j2ee.statistics.CountStatistic)stat).getCount() + "</font></td><td width=\"33%\"></td><td width=\"34%\"></td>"; //$NON-NLS-1$ //$NON-NLS-2$
    }
    else if (stat instanceof javax.management.j2ee.statistics.RangeStatistic)
    {
       javax.management.j2ee.statistics.RangeStatistic rStat = (javax.management.j2ee.statistics.RangeStatistic)stat;
 		
-      result += "<td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getCurrent ()  + "</font></td><td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getLowWaterMark () + "</font></td>" +
-                "<td width=\"34%\" align=\"center\"><font size=\"1\">" + rStat.getHighWaterMark() + "</font></td>";
+      result += "<td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getCurrent ()  + "</font></td><td width=\"33%\" align=\"center\"><font size=\"1\">" + rStat.getLowWaterMark () + "</font></td>" + //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+                "<td width=\"34%\" align=\"center\"><font size=\"1\">" + rStat.getHighWaterMark() + "</font></td>"; //$NON-NLS-1$ //$NON-NLS-2$
    }
 	
-   result += "</tr></table></td><td width=\"25%\"><font size=\"1\">" + start + "</font></td><td width=\"25%\"><font size=\"1\">" + lastSample + "</font>&nbsp;</td></tr>";
+   result += "</tr></table></td><td width=\"25%\"><font size=\"1\">" + start + "</font></td><td width=\"25%\"><font size=\"1\">" + lastSample + "</font>&nbsp;</td></tr>"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	
    return result;
 }
@@ -69,13 +70,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Message Driven Bean</title>
+<title>${messages["JBoss Management Console - Message Driven Bean"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 <div id="header">
 	&nbsp;</div>
 <div id="navigation_bar">
@@ -85,12 +86,12 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 831; height: 247">
-			<h3>Message Driven Bean</h3>
-				<h4>Name</h4>
-					<p><%=beanMetaData.getEjbName()%> (JNDI: <%=ejbName%>)</p>
-				<h4>EJB Module</h4>
+			<h3>${messages["Message Driven Bean"]}</h3>
+				<h4>${messages["Name"]}</h4>
+					<p><%=beanMetaData.getEjbName()%> (${messages["JNDI: "]}<%=ejbName%>)</p>
+				<h4>${messages["EJB Module"]}</h4>
 					<p><%=ejbModule %></p>
-				<h4>Bean Statistics:</h4>
+				<h4>${messages["Bean Statistics:"]}</h4>
 					<p>&nbsp;</p>
 <%
 if (ejb.isstatisticsProvider())
@@ -99,29 +100,29 @@
 		<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Name</h4>
+                    <h4 style="text-align: center">${messages["Name"]}</h4>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Value</h4>
+                    <h4 style="text-align: center">${messages["Value"]}</h4>
                     <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber3">
                       <tr>
                         <td width="33%">
-                        <h4 style="text-align: center">Current</h4>
+                        <h4 style="text-align: center">${messages["Current"]}</h4>
                         </td>
                         <td width="33%">
-                        <h4 style="text-align: center">Low</h4>
+                        <h4 style="text-align: center">${messages["Low"]}</h4>
                         </td>
                         <td width="34%">
-                        <h4 style="text-align: center">High</h4>
+                        <h4 style="text-align: center">${messages["High"]}</h4>
                         </td>
                       </tr>
                     </table>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Start Time</h4>
+                    <h4 style="text-align: center">${messages["Start Time"]}</h4>
                     </td>
                     <td width="25%" align="center">
-                    <h4 style="text-align: center">Last Sample Time</h4>
+                    <h4 style="text-align: center">${messages["Last Sample Time"]}</h4>
                     </td>
                   </tr>
 	<%
@@ -132,19 +133,19 @@
 	<%=addStatRow (stats.getMessageCount ()) %>
 
             </table>
-            <p align="center"><a href="<%=resetUrl%>">Reset Stats</a> / <a href="<%=myUrl%>">Refresh Stats</a></p>
+            <p align="center"><a href="<%=resetUrl%>">${messages["Reset Stats"]}</a> / <a href="<%=myUrl%>">${messages["Refresh Stats"]}</a></p>
 <%
 }
 else
 {
 %>				
-					<p>none.</p>
+					<p>${messages["none."]}</p>
 <%
 }
 %>				
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
-				<h4>Invocation Statistics:</h4>
+				<h4>${messages["Invocation Statistics:"]}</h4>
 					<p>&nbsp;</p>
 <%
 	java.util.Iterator iterInvoc = invokeStats.getStats().entrySet().iterator();
@@ -156,22 +157,22 @@
 				<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td  align="center">
-                    <h4 style="text-align: center">Method name</h4>
+                    <h4 style="text-align: center">${messages["Method name"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Min (ms)</h4>
+                    <h4 style="text-align: center">${messages["Min (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Max (ms)</h4>
+                    <h4 style="text-align: center">${messages["Max (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Average (ms)</h4>
+                    <h4 style="text-align: center">${messages["Average (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center">Total (ms)</h4>
+                    <h4 style="text-align: center">${messages["Total (ms)"]}</h4>
                     </td>
                     <td align="center">
-                    <h4 style="text-align: center"># Invocations</h4>
+                    <h4 style="text-align: center">${messages["# Invocations"]}</h4>
                     </td>
                   </tr>
 				<%
@@ -205,23 +206,23 @@
                   }
                   %>
             </table>
-            <p align="center"><a href="<%=resetInvocUrl%>">Reset Stats</a> / <a href="<%=myUrl%>">Refresh Stats</a></p>
+            <p align="center"><a href="<%=resetInvocUrl%>">${messages["Reset Stats"]}</a> / <a href="<%=myUrl%>">${messages["Refresh Stats"]}</a></p>
 <%
 	}
 	else
 	{
 %>	 
-					<p>none.</p>
+					<p>${messages["none."]}</p>
 <%
 	}
 %>
 
 					<p>&nbsp;</p>
-               <p>Actual concurrent invocations: <%=invokeStats.concurrentCalls%> (max: <%=invokeStats.maxConcurrentCalls%>)</p>
+               <p>${messages["Actual concurrent invocations: "]}<%=invokeStats.concurrentCalls%> (${messages["max: "]}<%=invokeStats.maxConcurrentCalls%>)</p>
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
-					<p><a href="<%=containerUrl%>">View associated container MBean</a></p>
+					<p><a href="<%=containerUrl%>">${messages["View associated container MBean"]}</a></p>
 		</div>
 		<div class="spacer"><hr/></div>
 	</div>
@@ -231,7 +232,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/AOPMethodChain.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPMethodChain.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPMethodChain.jsp	(working copy)
@@ -10,16 +10,16 @@
 %>
 <?xml version="1.0" encoding="iso-8859-1"?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<%@page import="org.jboss.console.I18n"%>
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -43,15 +43,18 @@
 		<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center" colspan="2">
-                    <h4 style="text-align: center"><font size="3">Method Chain for <%=AOPLister.shortenMethod(classname, method)%></font></h4>
+                    <h4 style="text-align: center"><font size="3">
+                    <%=I18n.gettext("Method Chain for {0}", AOPLister.shortenMethod(classname, method))  //$NON-NLS-1$
+                    %>
+                    </font></h4>
                     </td>
                   </tr>
                   <tr>
                     <td>
-                    <h4>Type</h4>
+                    <h4>${messages["Type"]}</h4>
                     </td>
                     <td>
-                    <h4>Description</h4>
+                    <h4>${messages["Description"]}</h4>
                     </td>
                   </tr>
 <%
@@ -64,7 +67,7 @@
 
             </table>
 	    <p>&nbsp;</p>
-            <p align="center"> <a href="<%=myUrl%>">Refresh</a></p>
+            <p align="center"> <a href="<%=myUrl%>">${messages["Refresh"]}</a></p>
 
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
@@ -78,7 +81,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/WebModule.jsp
===================================================================
--- console/src/resources/webconsole.war/WebModule.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/WebModule.jsp	(working copy)
@@ -12,13 +12,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Web Module</title>
+<title>${messages["JBoss Management Console - Web Module"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -28,17 +28,21 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3>Web Module: '<%=new ObjectName(webModule.getobjectName()).getKeyProperty("name")%>'</h3>
+			<%
+				String moduleName = new ObjectName(webModule.getobjectName()).getKeyProperty("name");
+				pageContext.setAttribute("moduleName", moduleName);
+			%>
+			<h3>${messages["Web Module: ''{0}''"][moduleName]}</h3>
 					<p>&nbsp;</p>
 				<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center">
-                    <h4 style="text-align: center"><font size="3">Servlets</font></h4>
+                    <h4 style="text-align: center"><font size="3">${messages["Servlets"]}</font></h4>
                     </td>
                   </tr>
                   <tr>
                     <td width="50%" align="center" valign="top">
-                    <h4>This Web Module is composed of the following Servlets:</h4>
+                    <h4>${messages["This Web Module is composed of the following Servlets:"]}</h4>
                     <%
                         String[] namesStr = webModule.getservlets();
                         ObjectName[] names = null;
@@ -62,7 +66,7 @@
                             }
                         %>
 					</ul>
-                    <p align="left"><font size="1"><b>Number of Servlets: </b><%=(names!=null?names.length:0)%></font></p>
+                    <p align="left"><font size="1"><b>${messages["Number of Servlets: "]}</b><%=(names!=null?names.length:0)%></font></p>
                     </td>
                   </tr>
 
@@ -71,8 +75,7 @@
 				<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center">
-                    <h4 style="text-align: center"><font size="3">Deployment
-					Descriptor</font></h4>
+                    <h4 style="text-align: center"><font size="3">${messages["Deployment Descriptor"]}</font></h4>
                     </td>
                   </tr>
                   <tr>
@@ -94,7 +97,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/createSnapshot.jsp
===================================================================
--- console/src/resources/webconsole.war/createSnapshot.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/createSnapshot.jsp	(working copy)
@@ -30,13 +30,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - Create Snapshot</title>
+<title>${messages["JBoss Management Console - Create Snapshot"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -46,7 +46,7 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%; height: 247">
-			<h3>Create Snapshot MBean Monitor</h3>
+			<h3>${messages["Create Snapshot MBean Monitor"]}</h3>
 					<p>&nbsp;</p>
 <%
    if (error != null)
@@ -59,27 +59,27 @@
 <form action="CreateSnapshot" method="post">
 <table cellspacing="2" cellpadding="2" border="0">
 <tr>
-    <td><b>Monitor Name</b></td>
+    <td><b>${messages["Monitor Name"]}</b></td>
     <td><input type="text" name="monitorName" size="35" value="<%=monitorName%>"></td>
-    <td><i>The name of the monitor and how it will be references within web console</i></td>
+    <td><i>${messages["The name of the monitor and how it will be references within web console"]}</i></td>
 </tr>
 <tr>
-    <td><b>Object Name</b></td>
+    <td><b>${messages["Object Name"]}</b></td>
     <td><input type="text" name="objectName" value="<%=objectName%>" size="35"></td>
-    <td><i>The MBean javax.management.ObjectName of the MBean you are monitoring</i></td>
+    <td><i>${messages["The MBean javax.management.ObjectName of the MBean you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Attribute</b></td>
+    <td><b>${messages["Attribute"]}</b></td>
     <td><input type="text" name="attribute" value="<%=attribute%>"  size="35"></td>
-    <td><i>The MBean Attribute you are monitoring</i></td>
+    <td><i>${messages["The MBean Attribute you are monitoring"]}</i></td>
 </tr>
 <tr>
-    <td><b>Time Period</b></td>
+    <td><b>${messages["Time Period"]}</b></td>
     <td><input type="text" name="period" size="35" value="<%=period%>"></td>
-    <td><i>How often should threshold be tested.</i></td>
+    <td><i>${messages["How often should threshold be tested."]}</i></td>
 </tr>
 </table>
-<input type="submit" value="Create">
+<input type="submit" value="${messages['Create']}">
 </form>
 		</div>
 		<div class="spacer"><hr/></div>
@@ -90,7 +90,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss&trade; Management Console</div>
+		<div id="credits">${messages["JBoss&trade; Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/Queue.jsp
===================================================================
--- console/src/resources/webconsole.war/Queue.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/Queue.jsp	(working copy)
@@ -10,13 +10,13 @@
 	MessageCounter counter = queue.getMessageCounter()[0];
 	
 	//check reset first
-	String doReset = request.getParameter("doReset");
-	if (doReset != null && doReset.equals("true"))
+	String doReset = request.getParameter("doReset"); //$NON-NLS-1$
+	if (doReset != null && doReset.equals("true")) //$NON-NLS-1$
     {
    	 	counter.resetCounter();
     }
     
-	String lastModified = "N/A";
+	String lastModified = I18n.gettext("N/A"); //$NON-NLS-1$
 	DateFormat dateFormat = DateFormat.getDateTimeInstance(DateFormat.SHORT, DateFormat.MEDIUM);
 	if (counter.getLastUpdate() > 0)
 	{		
@@ -28,15 +28,16 @@
 
 <?xml version="1.0" encoding="iso-8859-1"?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<%@page import="org.jboss.console.I18n"%>
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - JMS Queue</title>
+<title>${messages["JBoss Management Console - JMS Queue"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 </head>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -48,24 +49,24 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 95%; height: 95%">
-			<h3>JMS Queue</h3>
-			<h4>Name</h4>
+			<h3>${messages["JMS Queue"]}</h3>
+			<h4>${messages["Name"]}</h4>
 				<p><%=queue.getQueueName()%></p>
-			<h4>JNDI Name</h4>
+			<h4>${messages["JNDI Name"]}</h4>
 				<p><%=queue.getJNDIName()%></p>		
-			<h4>Receiver Count</h4>
+			<h4>${messages["Receiver Count"]}</h4>
 				<p><%=queue.getReceiversCount()%></p>													
-			<h4>Message statistics:</h4>
+			<h4>${messages["Message statistics:"]}</h4>
 			<table border="1" cellpadding="0" cellspacing="0" class="data_table" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="33%" >
-                    <h4>Queue Depth:</h4>
+                    <h4>${messages["Queue Depth:"]}</h4>
                     </td>      
                     <td width="33%" >
-                    <h4>Queue Depth Delta:</h4>
+                    <h4>${messages["Queue Depth Delta:"]}</h4>
                     </td>                                     
                     <td width="33%">
-                    <h4>Maximum Depth:</h4>
+                    <h4>${messages["Maximum Depth:"]}</h4>
                     </td>                    
                   </tr>	
                   <tr align="center">
@@ -76,17 +77,17 @@
             </table>
             <p>&nbsp;</p>
 			<p>&nbsp;</p>
-            <h4>Message statistics since startup or reset:</h4>
+            <h4>${messages["Message statistics since startup or reset:"]}</h4>
 			<table border="1" cellpadding="0" cellspacing="0" class="data_table" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="33%" >
-                    <h4>Message Count:</h4>
+                    <h4>${messages["Message Count:"]}</h4>
                     </td>                    
                     <td width="33%">
-                    <h4>Message Count Delta:</h4>                    
+                    <h4>${messages["Message Count Delta:"]}</h4>                    
                     </td>                    
                     <td width="33%">
-                    <h4>Last Message Add Date:</h4>
+                    <h4>${messages["Last Message Add Date:"]}</h4>
                     </td>
                   </tr>	
                   <tr align="center">                  	
@@ -95,7 +96,7 @@
                   	<td><%=lastModified%></td>
                   </tr>
             </table>
-            <p align="center"><a href="<%=resetUrl%>">Reset Stats</a> / <a href="<%=myUrl%>">Refresh Stats</a></p>            					
+            <p align="center"><a href="<%=resetUrl%>">${messages["Reset Stats"]}</a> / <a href="<%=myUrl%>">${messages["Refresh Stats"]}</a></p>            					
             <p>&nbsp;</p>
 			<p>&nbsp;</p>						
 			              
@@ -111,7 +112,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
Index: console/src/resources/webconsole.war/applet.jsp
===================================================================
--- console/src/resources/webconsole.war/applet.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/applet.jsp	(working copy)
@@ -16,6 +16,14 @@
    <param name="RefreshTime" value="">
    <param name="SessionId" value="<%=request.getSession().getId()%>">
    <param name="PMJMXName" value="jboss.admin:service=PluginManager">
+   <%-- Force applet to use server's default locale for consistency (since 
+   some strings are resolved on the server using its default locale) 
+   --%>
+   <param name="locale" value="<%= java.util.Locale.getDefault() %>">
+   <%-- This would tell the applet to use the locale chosen by the browser user, but
+   some parts of the applet currently use the server's default locale.
+   <param name="locale" value="${locale}">
+   --%>
 </applet>
 </p>
 
Index: console/src/resources/webconsole.war/J2EEApp.jsp
===================================================================
--- console/src/resources/webconsole.war/J2EEApp.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/J2EEApp.jsp	(working copy)
@@ -4,35 +4,36 @@
 
 <%
    String appName = new ObjectName(app.getobjectName()).getKeyProperty ("name");
+	pageContext.setAttribute("appName", appName);
 %>
 <html>
 <META HTTP-EQUIV="expires" CONTENT="0"/>
 <head>
-<title>J2EE Application: <%=appName%></title>
+<title>${messages["J2EE Application: {0}"][appName]}</title>
 </head>
 
   <body>
   
-  <h1><center>J2EE Application '<%=appName%>'</center></h1>
+  <h1><center>${messages["J2EE Application ''{0}''"][appName]}</center></h1>
   
   <p/>
   <p/>
   
   <table border="1">
    <tr>
-      <td><b>Management Object Name:</b></td>
+      <td><b>${messages["Management Object Name:"]}</b></td>
    </tr>
    <tr>
       <td><%=app.getobjectName()%></td>
    </tr>
    <tr>
-      <td><b>Provides Statistics:</b></td>
+      <td><b>${messages["Provides Statistics:"]}</b></td>
    </tr>
    <tr>
       <td><%=app.isstatisticsProvider()%></td>
    </tr>
    <tr>
-      <td><b>Deployment Descriptor:</b></td>
+      <td><b>${messages["Deployment Descriptor:"]}</b></td>
    </tr>
    <tr>
       <td><pre><%=org.jboss.console.plugins.helpers.servlet.ServletHelper.filter(app.getdeploymentDescriptor())%></pre></td>
Index: console/src/resources/webconsole.war/AOPConstructorMetaData.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPConstructorMetaData.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPConstructorMetaData.jsp	(working copy)
@@ -11,14 +11,13 @@
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar"> 
@@ -48,6 +47,6 @@
 	<center>
 	<div id="content">
 		<div class="content_block" style="width: 100%">
-			<h3>Metadata for constructor <%=con%></h3>
+			<h3>${messages["Metadata for constructor {0}"][param.constructor]}</h3>
 	    <p>&nbsp;</p>
 <%@ include file="AOPMetaData.jsp" %>
Index: console/src/resources/webconsole.war/AOPFieldChain.jsp
===================================================================
--- console/src/resources/webconsole.war/AOPFieldChain.jsp	(revision 73826)
+++ console/src/resources/webconsole.war/AOPFieldChain.jsp	(working copy)
@@ -9,16 +9,16 @@
 %>
 <?xml version="1.0" encoding="iso-8859-1"?>
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<%@page import="org.jboss.console.I18n"%>
 <html xmlns="http://www.w3.org/1999/xhtml">
 <head>
-<title>JBoss Management Console - AOP Pointcuts</title>
+<title>${messages["JBoss Management Console - AOP Pointcuts"]}</title>
 <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
-<link
 </head>
 <link rel="StyleSheet" href="css/jboss.css" type="text/css"/>
 <body>
 <!-- header begin -->
-	<img src="images/logo.gif" alt="JBoss" id="logo" width="226" height="105" />
+	<img src="images/logo.gif" alt="${messages['JBoss']}" id="logo" width="226" height="105" />
 	<div id="header">
 		&nbsp;</div>
 	<div id="navigation_bar">
@@ -41,15 +41,19 @@
 		<table border="1" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="95%" align="center" id="AutoNumber1">
                   <tr>
                     <td width="50%" align="center" colspan="2">
-                    <h4 style="text-align: center"><font size="3">Field <%= (read) ? "Read" : "Write" %> Chain for <%=AOPLister.shortenField(classname, field)%></font></h4>
+                    <h4 style="text-align: center"><font size="3">
+                    <%= (read) ? I18n.gettext("Field Read Chain for {0}", AOPLister.shortenField(classname, field)) : //$NON-NLS-1$
+                       I18n.gettext("Field Write Chain for {0}", AOPLister.shortenField(classname, field)) //$NON-NLS-1$
+                       %>
+                    </font></h4>
                     </td>
                   </tr>
                   <tr>
                     <td>
-                    <h4>Type</h4>
+                    <h4>${messages["Type"]}</h4>
                     </td>
                     <td>
-                    <h4>Description</h4>
+                    <h4>${messages["Description"]}</h4>
                     </td>
                   </tr>
 <%
@@ -62,7 +66,7 @@
 
             </table>
 	    <p>&nbsp;</p>
-            <p align="center"> <a href="<%=myUrl%>">Refresh</a></p>
+            <p align="center"> <a href="<%=myUrl%>">${messages["Refresh"]}</a></p>
 
 					<p>&nbsp;</p>
 					<p>&nbsp;</p>
@@ -76,7 +80,7 @@
 <hr class="hide"/>
 <!-- footer begin -->
 	<div id="footer">
-		<div id="credits">JBoss Management Console</div>
+		<div id="credits">${messages["JBoss Management Console"]}</div>
 		<div id="footer_bar">&nbsp;</div>
 	</div>
 <!-- footer end -->
